# CapsLock Sound Notifier

A simple AutoHotKey script that plays different sounds when you toggle **CapsLock**.
It can also loop a sound while **CapsLock** is active, and allows you to configure your own custom sounds via a GUI.

---

## Features

* Play a sound when **CapsLock is turned ON**.
* Play a different sound when **CapsLock is turned OFF**.
* Optionally loop a sound every few seconds while CapsLock is ON.
* 🎛GUI to set and preview the sounds easily.
* Hotkey to exit the script quickly (**Ctrl + Shift + X**).

---

## How to Use

1. Run the script.
2. Press **Ctrl + Alt + Shift + S** to open the settings GUI.
3. Browse and select your sound files (WAV or MP3).
4. Set the looping timer (minimum 2000 ms or 2 seconds).
5. Save your configuration — it will be stored in `capsLockSounds.ini`.
6. Toggle your CapsLock and enjoy the sounds!

---

## Hotkeys

| Hotkey                 | Action                |
| ---------------------- | --------------------- |
| Ctrl + Shift + X       | Exit the script       |
| Ctrl + Alt + Shift + S | Open the settings GUI |

---

## ⚙Requirements

* [AutoHotKey v1.1+](https://www.autohotkey.com/)

---

## License

This project is licensed under the [MIT License](MIT-LICENSE.txt).

---

## 📂 Files

* `CapsLockSounds.ahk` — Main script.
* `capsLockSounds.ini` — Configuration file automatically created after saving your settings.

---

## Notes

* Make sure your sound file paths are valid.
* The loop timer must not be set below 2000 milliseconds (2 seconds), otherwise it will default to 10 seconds.
* The script uses `SoundPlay`, which works best with WAV files. MP3 support might vary depending on your system.

---

> Made with  and by TechLabs.
